GNU bug report logs - #11265
24.0.94; gdb-mi very slow on Windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: karl-heinz@HIDDEN; dated Tue, 17 Apr 2012 16:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11265 <at> debbugs.gnu.org:


Received: (at 11265) by debbugs.gnu.org; 24 Apr 2012 14:58:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 24 10:58:17 2012
Received: from localhost ([127.0.0.1]:50865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SMhC5-0007rw-4R
	for submit <at> debbugs.gnu.org; Tue, 24 Apr 2012 10:58:17 -0400
Received: from schneider-inet.de ([85.214.76.205]:51646
	helo=h1714509.stratoserver.net)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <karl-heinz@HIDDEN>) id 1SMhC1-0007rn-VH
	for 11265 <at> debbugs.gnu.org; Tue, 24 Apr 2012 10:58:15 -0400
Received: from localhost ([127.0.0.1]:50316 helo=schneider-inet.de)
	by h1714509.stratoserver.net with esmtpsa
	(TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.72)
	(envelope-from <karl-heinz@HIDDEN>)
	id 1SMhBC-00016y-T6; Tue, 24 Apr 2012 16:57:24 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Tue, 24 Apr 2012 16:57:22 +0200
From: Karl-Heinz Schneider <karl-heinz@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11265: 24.0.94; gdb-mi very slow on Windows
Mail-Reply-To: <karl-heinz@HIDDEN>
In-Reply-To: <83fwbyj11c.fsf@HIDDEN>
References: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
	<83zkaaqo67.fsf@HIDDEN>
	<4a9b5bb0b0553d31ee6df5994fd8a56d@HIDDEN>
	<83r4vl6lzk.fsf@HIDDEN>
	<ee082bb4ff0e716dc9eacc94b3e8758f@HIDDEN>
	<83fwbyj11c.fsf@HIDDEN>
Message-ID: <b76056fae56d606b998ee93a4edbfec1@HIDDEN>
X-Sender: karl-heinz@HIDDEN
User-Agent: Roundcube Webmail/0.5.4
X-Spam_score: -1.0
X-Spam_score_int: -9
X-Spam_bar: -
X-Spam_report: Spam detection software,
	running on the system "h1714509.stratoserver.net", has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > If you can try the current development code on the
	emacs-24 branch,
	> please see if the problem is still there. Some related problems
	were > fixed recently,
	and maybe they also fix your problem. If you cannot
	> try the current code,
	please revisit this after the next pretest > version
	is released, and report back. Thanks. [...] 
	Content analysis details:   (-1.0 points, 5.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-1.0 ALL_TRUSTED Passed through trusted hosts only via SMTP
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11265
Cc: 11265 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: karl-heinz@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> If you can try the current development code on the emacs-24 branch,
> please see if the problem is still there.  Some related problems were
> fixed recently, and maybe they also fix your problem.  If you cannot
> try the current code, please revisit this after the next pretest
> version is released, and report back.  Thanks.

I just downloaded the zip-package 24.1.50 of emacs. The problem is
still there.

Kalle




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.

Message received at 11265 <at> debbugs.gnu.org:


Received: (at 11265) by debbugs.gnu.org; 20 Apr 2012 07:50:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 20 03:50:20 2012
Received: from localhost ([127.0.0.1]:43432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SL8bi-0005AR-40
	for submit <at> debbugs.gnu.org; Fri, 20 Apr 2012 03:50:20 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:46025)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SL8bf-0005AB-Ms
	for 11265 <at> debbugs.gnu.org; Fri, 20 Apr 2012 03:50:16 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M2R00300P9IZP00@HIDDEN> for
	11265 <at> debbugs.gnu.org; Fri, 20 Apr 2012 10:49:17 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.228.105.225]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M2R003WSPQ42UL0@HIDDEN>;
	Fri, 20 Apr 2012 10:49:16 +0300 (IDT)
Date: Fri, 20 Apr 2012 10:49:19 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11265: 24.0.94; gdb-mi very slow on Windows
In-reply-to: <ee082bb4ff0e716dc9eacc94b3e8758f@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: karl-heinz@HIDDEN
Message-id: <83fwbyj11c.fsf@HIDDEN>
References: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
	<83zkaaqo67.fsf@HIDDEN>
	<4a9b5bb0b0553d31ee6df5994fd8a56d@HIDDEN>
	<83r4vl6lzk.fsf@HIDDEN>
	<ee082bb4ff0e716dc9eacc94b3e8758f@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 11265
Cc: 11265 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Thu, 19 Apr 2012 08:10:09 +0200
> From: Karl-Heinz Schneider <karl-heinz@HIDDEN>
> Cc: <11265 <at> debbugs.gnu.org>
> 
> >> I discovered that the slowdown happens after restarting the process 
> >> to
> >> debug.
> >> I did the following procedure:
> >>
> >> 1. Start the debugger (with process cmd-line).
> >> 2. Enter run to start the process
> >> 3. Debug the process
> >> 4. Enter kill to stop the process
> >> 5. Change code and recompile
> >> 6. Start again with step 2
> >>
> >> Doing this three or four times debugging starts to get slow.
> >
> > If you omit step 5, does the problem still happen?
> 
> Yes, the problem doesn't depend on recompiling. Its more to wait some
> seconds before begin a new debugging cycle.
> 
> >
> >> All debugging is done within the gud buffer using GDB commands.
> >
> > If, instead of stopping the process in step 4, you kill the gud 
> > buffer
> > through which you interact with GDB, do you still see the slowdown
> > after several times that you kill and restart the debugging?
> 
> Killing the GUD buffer and starting a new debugging session totally
> recovers to original performance.

If you can try the current development code on the emacs-24 branch,
please see if the problem is still there.  Some related problems were
fixed recently, and maybe they also fix your problem.  If you cannot
try the current code, please revisit this after the next pretest
version is released, and report back.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.

Message received at 11265 <at> debbugs.gnu.org:


Received: (at 11265) by debbugs.gnu.org; 19 Apr 2012 06:10:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 19 02:10:34 2012
Received: from localhost ([127.0.0.1]:40734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKkZd-0004eu-V9
	for submit <at> debbugs.gnu.org; Thu, 19 Apr 2012 02:10:34 -0400
Received: from schneider-inet.de ([85.214.76.205]:40022
	helo=h1714509.stratoserver.net)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <karl-heinz@HIDDEN>) id 1SKkZb-0004em-7S
	for 11265 <at> debbugs.gnu.org; Thu, 19 Apr 2012 02:10:32 -0400
Received: from localhost ([127.0.0.1]:35670 helo=schneider-inet.de)
	by h1714509.stratoserver.net with esmtpsa
	(TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.72)
	(envelope-from <karl-heinz@HIDDEN>)
	id 1SKkZG-0005Fv-AE; Thu, 19 Apr 2012 08:10:12 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Thu, 19 Apr 2012 08:10:09 +0200
From: Karl-Heinz Schneider <karl-heinz@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11265: 24.0.94; gdb-mi very slow on Windows
Mail-Reply-To: <karl-heinz@HIDDEN>
In-Reply-To: <83r4vl6lzk.fsf@HIDDEN>
References: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
	<83zkaaqo67.fsf@HIDDEN>
	<4a9b5bb0b0553d31ee6df5994fd8a56d@HIDDEN>
	<83r4vl6lzk.fsf@HIDDEN>
Message-ID: <ee082bb4ff0e716dc9eacc94b3e8758f@HIDDEN>
X-Sender: karl-heinz@HIDDEN
User-Agent: Roundcube Webmail/0.5.4
X-Spam_score: -1.0
X-Spam_score_int: -9
X-Spam_bar: -
X-Spam_report: Spam detection software,
	running on the system "h1714509.stratoserver.net", has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: >> I discovered that the slowdown happens after
	restarting
	the process >> to >> debug. >> I did the following procedure: >> >> 1.
	Start
	the debugger (with process cmd-line). >> 2. Enter run to start the
	process
	>> 3. Debug the process >> 4. Enter kill to stop the process >> 5.
	Change
	code and recompile >> 6. Start again with step 2 >> >> Doing this three
	or
	four times debugging starts to get slow. > > If you omit step 5,
	does the problem still happen? [...] 
	Content analysis details:   (-1.0 points, 5.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-1.0 ALL_TRUSTED Passed through trusted hosts only via SMTP
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11265
Cc: 11265 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: karl-heinz@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> I discovered that the slowdown happens after restarting the process 
>> to
>> debug.
>> I did the following procedure:
>>
>> 1. Start the debugger (with process cmd-line).
>> 2. Enter run to start the process
>> 3. Debug the process
>> 4. Enter kill to stop the process
>> 5. Change code and recompile
>> 6. Start again with step 2
>>
>> Doing this three or four times debugging starts to get slow.
>
> If you omit step 5, does the problem still happen?

Yes, the problem doesn't depend on recompiling. Its more to wait some
seconds before begin a new debugging cycle.

>
>> All debugging is done within the gud buffer using GDB commands.
>
> If, instead of stopping the process in step 4, you kill the gud 
> buffer
> through which you interact with GDB, do you still see the slowdown
> after several times that you kill and restart the debugging?

Killing the GUD buffer and starting a new debugging session totally
recovers to original performance.

Kalle




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.

Message received at 11265 <at> debbugs.gnu.org:


Received: (at 11265) by debbugs.gnu.org; 18 Apr 2012 17:01:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 18 13:01:25 2012
Received: from localhost ([127.0.0.1]:40095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKYFs-0008UG-Tg
	for submit <at> debbugs.gnu.org; Wed, 18 Apr 2012 13:01:24 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:56205)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SKYFn-0008Tw-Km
	for 11265 <at> debbugs.gnu.org; Wed, 18 Apr 2012 13:01:19 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M2O00600PUZ3700@HIDDEN> for
	11265 <at> debbugs.gnu.org; Wed, 18 Apr 2012 20:00:33 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.228.105.225]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M2O004T1PWVPYQ0@HIDDEN>;
	Wed, 18 Apr 2012 20:00:32 +0300 (IDT)
Date: Wed, 18 Apr 2012 20:00:40 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11265: 24.0.94; gdb-mi very slow on Windows
In-reply-to: <87bompn6p6.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Chong Yidong <cyd@HIDDEN>
Message-id: <83lilt6klj.fsf@HIDDEN>
References: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
	<83zkaaqo67.fsf@HIDDEN> <87bompn6p6.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 11265
Cc: karl-heinz@HIDDEN, 11265 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Chong Yidong <cyd@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  11265 <at> debbugs.gnu.org
> Date: Wed, 18 Apr 2012 09:56:37 +0800
> 
> In addition to what Eli suggested, try setting bidi-paragraph-direction
> to 'left in the *gud* buffer and see if it makes a difference in speed.

I doubt that this could be related, since each time you type
"continue" in the gud buffer, there's an empty line after the
"Continuing" response.

Anyway, I did a long debugging session, got to about 1000 lines in the
gud buffer, but didn't see any perceptible slowdown.  So the reason is
still unclear.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.

Message received at 11265 <at> debbugs.gnu.org:


Received: (at 11265) by debbugs.gnu.org; 18 Apr 2012 16:32:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 18 12:32:25 2012
Received: from localhost ([127.0.0.1]:40080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKXnp-0007nI-0T
	for submit <at> debbugs.gnu.org; Wed, 18 Apr 2012 12:32:24 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:44777)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SKXnj-0007n4-A4
	for 11265 <at> debbugs.gnu.org; Wed, 18 Apr 2012 12:32:19 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M2O00I00OJZZC00@HIDDEN> for
	11265 <at> debbugs.gnu.org; Wed, 18 Apr 2012 19:31:38 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.228.105.225]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M2O00IPHOKOM2L0@HIDDEN> for
	11265 <at> debbugs.gnu.org; Wed, 18 Apr 2012 19:31:37 +0300 (IDT)
Date: Wed, 18 Apr 2012 19:31:40 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11265: 24.0.94; gdb-mi very slow on Windows
In-reply-to: <669ef4eefd097d3da673c9f368045ea2@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: 11265 <at> debbugs.gnu.org
Message-id: <83pqb56lxv.fsf@HIDDEN>
References: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
	<83zkaaqo67.fsf@HIDDEN>
	<669ef4eefd097d3da673c9f368045ea2@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 11265
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

Forwarding this, for the record.

> Date: Wed, 18 Apr 2012 08:11:13 +0200
> From: Karl-Heinz Schneider <karl-heinz@HIDDEN>
> 
> Previously I used Emacs 23.3. This version didn't use GDB/MI as far as 
> I
> know. This worked very well most of the time.
> 
>  From the slowdown Emacs isn't affected completely. It's just working 
> with the
> debugger buffer. Change the focus from any other buffer to the GUD 
> buffer or
> typing in the GUD buffer is very slow. The slow down happens while 
> working with
> GUD. I prefer the keyboard, so I enter the GDB commands into the GUD 
> buffer.
> Any other not GUD related buffer works with usual speed.
> 
> I tried gud-gdb as well. Speed is good but it has other drawbacks. It 
> doesn't
> display the breakpoints within the source buffer and the gdb completion 
> doesn't
> work.
> 
> Kalle
> 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.

Message received at 11265 <at> debbugs.gnu.org:


Received: (at 11265) by debbugs.gnu.org; 18 Apr 2012 16:31:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 18 12:31:11 2012
Received: from localhost ([127.0.0.1]:40076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKXmd-0007lT-HZ
	for submit <at> debbugs.gnu.org; Wed, 18 Apr 2012 12:31:11 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:54551)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SKXmY-0007kr-Ca
	for 11265 <at> debbugs.gnu.org; Wed, 18 Apr 2012 12:31:06 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M2O00M00OJ34T00@HIDDEN> for
	11265 <at> debbugs.gnu.org; Wed, 18 Apr 2012 19:30:41 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.228.105.225]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M2O00LXJOJ2XMC0@HIDDEN>;
	Wed, 18 Apr 2012 19:30:40 +0300 (IDT)
Date: Wed, 18 Apr 2012 19:30:39 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11265: 24.0.94; gdb-mi very slow on Windows
In-reply-to: <4a9b5bb0b0553d31ee6df5994fd8a56d@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: karl-heinz@HIDDEN
Message-id: <83r4vl6lzk.fsf@HIDDEN>
References: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
	<83zkaaqo67.fsf@HIDDEN>
	<4a9b5bb0b0553d31ee6df5994fd8a56d@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 11265
Cc: 11265 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

[Please keep the bug address on the CC list, so that this whole
discussion gets archived.]

> Date: Wed, 18 Apr 2012 08:53:16 +0200
> From: Karl-Heinz Schneider <karl-heinz@HIDDEN>
> 
> I discovered that the slowdown happens after restarting the process to 
> debug.
> I did the following procedure:
> 
> 1. Start the debugger (with process cmd-line).
> 2. Enter run to start the process
> 3. Debug the process
> 4. Enter kill to stop the process
> 5. Change code and recompile
> 6. Start again with step 2
> 
> Doing this three or four times debugging starts to get slow.

If you omit step 5, does the problem still happen?

> All debugging is done within the gud buffer using GDB commands.

If, instead of stopping the process in step 4, you kill the gud buffer
through which you interact with GDB, do you still see the slowdown
after several times that you kill and restart the debugging?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.

Message received at 11265 <at> debbugs.gnu.org:


Received: (at 11265) by debbugs.gnu.org; 18 Apr 2012 01:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 17 21:57:00 2012
Received: from localhost ([127.0.0.1]:39008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKK8h-00064s-Qy
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2012 21:57:00 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:58478 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <cyd@HIDDEN>) id 1SKK8f-00064l-TH
	for 11265 <at> debbugs.gnu.org; Tue, 17 Apr 2012 21:56:58 -0400
Received: from bb116-14-12-6.singnet.com.sg ([116.14.12.6]:60549 helo=ulysses)
	by fencepost.gnu.org with esmtpsa
	(TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16) (Exim 4.71)
	(envelope-from <cyd@HIDDEN>)
	id 1SKK8T-0001gT-7w; Tue, 17 Apr 2012 21:56:46 -0400
From: Chong Yidong <cyd@HIDDEN>
To: karl-heinz@HIDDEN
Subject: Re: bug#11265: 24.0.94; gdb-mi very slow on Windows
References: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
	<83zkaaqo67.fsf@HIDDEN>
Date: Wed, 18 Apr 2012 09:56:37 +0800
In-Reply-To: <83zkaaqo67.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 17 Apr
	2012 20:10:56 +0300")
Message-ID: <87bompn6p6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.95 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11265
Cc: Eli Zaretskii <eliz@HIDDEN>, 11265 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

> When this slowdown happens, is the GDB interaction buffer displayed?
> If so, does it help to delete the window where the interaction buffer
> is shown, so that the buffer is not displayed in any window?
>
> Another thing to try is start GDB like this:
>
>   M-x gud-gdb RET
>
> and see if the resulting session is as fast as what you were used to
> before 24.0.94.

In addition to what Eli suggested, try setting bidi-paragraph-direction
to 'left in the *gud* buffer and see if it makes a difference in speed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.

Message received at 11265 <at> debbugs.gnu.org:


Received: (at 11265) by debbugs.gnu.org; 17 Apr 2012 17:13:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 17 13:13:08 2012
Received: from localhost ([127.0.0.1]:38561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKBxg-0001k9-TT
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2012 13:13:08 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:55830)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SKBxb-0001jc-Ci
	for 11265 <at> debbugs.gnu.org; Tue, 17 Apr 2012 13:13:03 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M2M00E00VT4TG00@HIDDEN> for
	11265 <at> debbugs.gnu.org; Tue, 17 Apr 2012 20:12:44 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.229.57.204]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M2M00C2CVT7VQY0@HIDDEN>;
	Tue, 17 Apr 2012 20:12:44 +0300 (IDT)
Date: Tue, 17 Apr 2012 20:10:56 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11265: 24.0.94; gdb-mi very slow on Windows
In-reply-to: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: karl-heinz@HIDDEN
Message-id: <83zkaaqo67.fsf@HIDDEN>
References: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 11265
Cc: 11265 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Tue, 17 Apr 2012 16:21:05 +0200
> From: Karl-Heinz Schneider <karl-heinz@HIDDEN>
> 
> I use Emacs for C/C++ development on Windows XP. Since update to Emacs
> 24.0.94 I discovered that debugging with gdb-mi is very slow.

Which version did you upgrade from?  IOW, with which version are you
comparing the speed?

> Right after starting debugging performance is ok, but after a while
> using the debugger (adding breakpoints, removing breakpoints setting
> conditions, etc...) becomes very very slow.
> 
> After a while Emacs is consuming 100% of CPU power for a while just
> for typing a single character into the gdb-buffer (not sending it to 
> GDB).
> GDB commands like "next" or "step" take then several seconds until
> all buffers are refreshed.

When this slowdown happens, is the GDB interaction buffer displayed?
If so, does it help to delete the window where the interaction buffer
is shown, so that the buffer is not displayed in any window?

(I'm trying to establish whether the slowness is related to display or
to something else.)

Another thing to try is start GDB like this:

  M-x gud-gdb RET

and see if the resulting session is as fast as what you were used to
before 24.0.94.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2012 16:21:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 17 12:21:52 2012
Received: from localhost ([127.0.0.1]:38508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKBA7-0000XY-IL
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2012 12:21:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52939)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <karl-heinz@HIDDEN>) id 1SK9I4-00065Z-Qv
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2012 10:21:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <karl-heinz@HIDDEN>) id 1SK9Hi-00020j-3s
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2012 10:21:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:38465)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <karl-heinz@HIDDEN>) id 1SK9Hi-00020Y-0s
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2012 10:21:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46742)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <karl-heinz@HIDDEN>) id 1SK9Hc-0001aQ-QP
	for bug-gnu-emacs@HIDDEN; Tue, 17 Apr 2012 10:21:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <karl-heinz@HIDDEN>) id 1SK9HU-0001xh-AH
	for bug-gnu-emacs@HIDDEN; Tue, 17 Apr 2012 10:21:28 -0400
Received: from schneider-inet.de ([85.214.76.205]:42588
	helo=h1714509.stratoserver.net)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <karl-heinz@HIDDEN>) id 1SK9HU-0001wc-3h
	for bug-gnu-emacs@HIDDEN; Tue, 17 Apr 2012 10:21:20 -0400
Received: from localhost ([127.0.0.1]:60295 helo=schneider-inet.de)
	by h1714509.stratoserver.net with esmtpsa
	(TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.72)
	(envelope-from <karl-heinz@HIDDEN>) id 1SK9HG-0004Jk-Ax
	for bug-gnu-emacs@HIDDEN; Tue, 17 Apr 2012 16:21:12 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Tue, 17 Apr 2012 16:21:05 +0200
From: Karl-Heinz Schneider <karl-heinz@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.0.94; gdb-mi very slow on Windows
Mail-Reply-To: <karl-heinz@HIDDEN>
Message-ID: <dcc96fc5fe4e5fe967c637df92aab85e@HIDDEN>
X-Sender: karl-heinz@HIDDEN
User-Agent: Roundcube Webmail/0.5.4
X-Spam_score: -1.0
X-Spam_score_int: -9
X-Spam_bar: -
X-Spam_report: Spam detection software,
	running on the system "h1714509.stratoserver.net", has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: I use Emacs for C/C++ development on Windows XP. Since
	update
	to Emacs 24.0.94 I discovered that debugging with gdb-mi is very slow.
	Right after starting debugging performance is ok,
	but after a while using the debugger
	(adding breakpoints, removing breakpoints setting conditions,
	etc...) becomes very very slow. [...] 
	Content analysis details:   (-1.0 points, 5.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-1.0 ALL_TRUSTED Passed through trusted hosts only via SMTP
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 17 Apr 2012 12:21:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: karl-heinz@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

I use Emacs for C/C++ development on Windows XP. Since update to Emacs
24.0.94 I discovered that debugging with gdb-mi is very slow.

Right after starting debugging performance is ok, but after a while
using the debugger (adding breakpoints, removing breakpoints setting
conditions, etc...) becomes very very slow.

After a while Emacs is consuming 100% of CPU power for a while just
for typing a single character into the gdb-buffer (not sending it to 
GDB).
GDB commands like "next" or "step" take then several seconds until
all buffers are refreshed.




Acknowledgement sent to karl-heinz@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11265; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.